Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.sql
Interface RowSet

All Superinterfaces:
  ResultSet

public interface RowSet
extends ResultSet

The RowSet interface adds support to the JDBC API for the JavaBeans(TM) component model. A rowset can be used as a JavaBean in a visual Bean development environment. A RowSet can be created and configured at design time and executed at runtime. The RowSet interface provides a set of JavaBeans properties that allow a RowSet instance to be configured to connect to a JDBC data source and read some data from the data source. A group of setXXX() methods provide a way to pass input parameters to a rowset. The RowSet interface supports JavaBeans events, allowing other components in an application to be notified when an important event on a rowset occurs, such as a change in its value.

The RowSet interface is unique in that it is intended to be implemented using the rest of the JDBC(TM) API. In other words, a RowSet implementation is a layer of software that executes "on top" of a JDBC driver. Implementations of the RowSet interface can be provided by anyone, including JDBC driver vendors who want to provide a RowSet implementation as part of their JDBC products.

Rowsets are easy to use. The RowSet interface extends the standard java.sql.ResultSet interface. The RowSetMetaData interface extends the java.sql.ResultSetMetaData interface. Thus, developers familiar with the JDBC API will have to learn a minimal number of new APIs to use rowsets. In addition, third-party software tools that work with JDBC ResultSets will also easily be made to work with rowsets.

Field Summary

Fields inherited from interface java.sql.ResultSet
`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Method Summary
`void` | `addRowSetListener(RowSetListener rowSetListener)` RowSet listener registration.
`void` | `clearParameters()` In general, parameter values remain in force for repeated use of a RowSet.
`void` | `execute()` Fills the rowset with data.
`String` | `getCommand()` Get the rowset's command property.
`String` | `getDataSourceName()` The JNDI name that identifies a JDBC data source.
`boolean` | `getEscapeProcessing()` If escape scanning is on (the default), the driver will do escape substitution before sending the SQL to the database.
`int` | `getMaxFieldSize()` The maxFieldSize limit (in bytes) is the maximum amount of data returned for any column value; it only applies to BINARY, VARBINARY, LONGVARBINARY, CHAR, VARCHAR, and LONGVARCHAR columns.
`int` | `getMaxRows()` The maxRows limit is the maximum number of rows that a RowSet can contain.
`String` | `getPassword()` The password used to create a database connection.
`int` | `getQueryTimeout()` The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute.
`int` | `getTransactionIsolation()` The transaction isolation property contains the JDBC transaction isolation level used.
`Map` | `getTypeMap()` Get the type-map object associated with this rowset.
`String` | `getUrl()` Get the url used to create a JDBC connection.
`String` | `getUsername()` The username used to create a database connection.
`boolean` | `isReadOnly()` A rowset may be read-only.
`void` | `removeRowSetListener(RowSetListener rowSetListener)` RowSet listener deregistration.
`void` | `setArray(int i, Array array)` Set an Array parameter.
`void` | `setAsciiStream(int i, InputStream inputStream, int j)` When a very large ASCII value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.InputStream.
`void` | `setBigDecimal(int i, BigDecimal bigDecimal)` Set a parameter to a java.lang.BigDecimal value.
`void` | `setBinaryStream(int i, InputStream inputStream, int j)` When a very large binary value is input to a LONGVARBINARY parameter, it may be more practical to send it via a java.io.InputStream.
`void` | `setBlob(int i, Blob blob)` Set a BLOB parameter.
`void` | `setBoolean(int i, boolean flag)` Set a parameter to a Java boolean value.
`void` | `setByte(int i, byte b)` Set a parameter to a Java byte value.
`void` | `setBytes(int i, byte[] ab)` Set a parameter to a Java array of bytes.
`void` | `setCharacterStream(int i, Reader reader, int j)` When a very large UNICODE value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.Reader.
`void` | `setClob(int i, Clob clob)` Set a CLOB parameter.
`void` | `setCommand(String string)` Set the rowset's command property.
`void` | `setConcurrency(int i)` Set the rowset concurrency.
`void` | `setDataSourceName(String string)` Set the data source name.
`void` | `setDate(int i, Date date)` Set a parameter to a java.sql.Date value.
`void` | `setDate(int i, Date date, Calendar calendar)` Set a parameter to a java.sql.Date value.
`void` | `setDouble(int i, double d)` Set a parameter to a Java double value.
`void` | `setEscapeProcessing(boolean flag)` If escape scanning is on (the default), the driver will do escape substitution before sending the SQL to the database.
`void` | `setFloat(int i, float f)` Set a parameter to a Java float value.
`void` | `setInt(int i, int j)` Set a parameter to a Java int value.
`void` | `setLong(int i, long j)` Set a parameter to a Java long value.
`void` | `setMaxFieldSize(int i)` The maxFieldSize limit (in bytes) is set to limit the size of data that can be returned for any column value; it only applies to BINARY, VARBINARY, LONGVARBINARY, CHAR, VARCHAR, and LONGVARCHAR fields.
`void` | `setMaxRows(int i)` The maxRows limit is set to limit the number of rows that any RowSet can contain.
`void` | `setNull(int parameterIndex, int sqlType)` Set a parameter to SQL NULL.
`void` | `setNull(int paramIndex, int sqlType, String typeName)` JDBC 2.0 Set a parameter to SQL NULL.
`void` | `setObject(int parameterIndex, Object object)` Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.
`void` | `setObject(int parameterIndex, Object object, int targetSqlType)` This method is like setObject above, but the scale used is the scale of the second parameter.
`void` | `setObject(int parameterIndex, Object object, int j, int scale)` Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.
`void` | `setPassword(String string)` Set the password.
`void` | `setQueryTimeout(int seconds)` The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute.
`void` | `setReadOnly(boolean flag)` Set the read-onlyness of the rowset
`void` | `setRef(int i, Ref ref)` Set a REF(<structured-type>) parameter.
`void` | `setShort(int i, short s)` Set a parameter to a Java short value.
`void` | `setString(int parameterIndex, String string)` Set a parameter to a Java String value.
`void` | `setTime(int parameterIndex, Time time)` Set a parameter to a java.sql.Time value.
`void` | `setTime(int parameterIndex, Time time, Calendar calendar)` Set a parameter to a java.sql.Time value.
`void` | `setTimestamp(int parameterIndex, Timestamp timestamp)` Set a parameter to a java.sql.Timestamp value.
`void` | `setTimestamp(int parameterIndex, Timestamp timestamp, Calendar calendar)` Set a parameter to a java.sql.Timestamp value.
`void` | `setTransactionIsolation(int level)` Set the transaction isolation.
`void` | `setType(int i)` Set the rowset type.
`void` | `setTypeMap(Map map)` Install a type-map object as the default type-map for this rowset.
`void` | `setUrl(String url)` Set the url used to create a connection.
`void` | `setUsername(String name)` Set the user name.

Methods inherited from interface java.sql.ResultSet
`absolute, afterLast, beforeFirst, cancelRowUpdates, clearWarnings, close, deleteRow, findColumn, first, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getInt, getInt, getLong, getLong, getMetaData, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getShort, getShort, getStatement, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insertRow, isAfterLast, isBeforeFirst, isFirst, isLast, last, moveToCurrentRow, moveToInsertRow, next, previous, refreshRow, relative, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateShort, updateShort, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull`

Method Detail

### addRowSetListener

    public void addRowSetListener(RowSetListener rowSetListener)

  RowSet listener registration. Listeners are notified when an event occurs.

  Parameters:
    `rowSetListener` - - an event listener

### clearParameters

    public void clearParameters()
                         throws SQLException

  In general, parameter values remain in force for repeated use of a RowSet. Setting a parameter value automatically clears its previous value. However, in some cases it is useful to immediately release the resources used by the current parameter values; this can be done by calling clearParameters.

  Throws:
    `SQLException` - - if a database-access error occurs.

### execute

    public void execute()
                 throws SQLException

  Fills the rowset with data. Execute() may use the following properties: url, data source name, user name, password, transaction isolation, and type map to create a connection for reading data. Execute may use the following properties to create a statement to execute a command: command, read only, maximum field size, maximum rows, escape processing, and query timeout. If the required properties have not been set, an exception is thrown. If successful, the current contents of the rowset are discarded and the rowset's metadata is also (re)set. If there are outstanding updates, they are ignored.

  Throws:
    `SQLException` - - if a database-access error occurs.

### getCommand

    public String getCommand()

  Get the rowset's command property. The command property contains a command string that can be executed to fill the rowset with data. The default value is null.

  Returns:
    the command string, may be null

### getDataSourceName

    public String getDataSourceName()

  The JNDI name that identifies a JDBC data source. Users should set either the url or data source name properties. The most recent property set is used to get a connection.

  Returns:
    a data source name

### getEscapeProcessing

    public boolean getEscapeProcessing()
                                throws SQLException

  If escape scanning is on (the default), the driver will do escape substitution before sending the SQL to the database.

  Returns:
    true if enabled; false if disabled
  Throws:
    `SQLException` - - if a database-access error occurs.

### getMaxFieldSize

    public int getMaxFieldSize()
                        throws SQLException

  The maxFieldSize limit (in bytes) is the maximum amount of data returned for any column value; it only applies to BINARY, VARBINARY, LONGVARBINARY, CHAR, VARCHAR, and LONGVARCHAR columns. If the limit is exceeded, the excess data is silently discarded.

  Returns:
    the current max column size limit; zero means unlimited
  Throws:
    `SQLException` - - if a database-access error occurs.

### getMaxRows

    public int getMaxRows()
                   throws SQLException

  The maxRows limit is the maximum number of rows that a RowSet can contain. If the limit is exceeded, the excess rows are silently dropped.

  Returns:
    the current max row limit; zero means unlimited
  Throws:
    `SQLException` - - if a database-access error occurs.

### getPassword

    public String getPassword()

  The password used to create a database connection. The password property is set at runtime before calling execute(). It is not usually part of the serialized state of a rowset object.

  Returns:
    a password

### getQueryTimeout

    public int getQueryTimeout()
                        throws SQLException

  The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute. If the limit is exceeded, a SQLException is thrown.

  Returns:
    the current query timeout limit in seconds; zero means unlimited
  Throws:
    `SQLException` - - if a database-access error occurs.

### getTransactionIsolation

    public int getTransactionIsolation()

  The transaction isolation property contains the JDBC transaction isolation level used.

  Returns:
    the transaction isolation level

### getTypeMap

    public Map getTypeMap()
                   throws SQLException

  Get the type-map object associated with this rowset. By default, the map returned is empty.

  Returns:
    a map object
  Throws:
    `SQLException` - - if a database-access error occurs.

### getUrl

    public String getUrl()
                  throws SQLException

  Get the url used to create a JDBC connection. The default value is null.

  Returns:
    a string url
  Throws:
    `SQLException` - - if a database-access error occurs.

### getUsername

    public String getUsername()

  The username used to create a database connection. The username property is set at runtime before calling execute(). It is not usually part of the serialized state of a rowset object.

  Returns:
    a user name

### isReadOnly

    public boolean isReadOnly()

  A rowset may be read-only. Attempts to update a read-only rowset will result in an SQLException being thrown. Rowsets are updateable, by default, if updates are possible.

  Returns:
    true if not updatable, false otherwise

### removeRowSetListener

    public void removeRowSetListener(RowSetListener rowSetListener)

  RowSet listener deregistration.

  Parameters:
    `rowSetListener` - - an event listener

### setArray

    public void setArray(int i,
                         Array array)
                  throws SQLException

  Set an Array parameter.

  Parameters:
    `i` - - the first parameter is 1, the second is 2, ...
    `array` - - an object representing an SQL array
  Throws:
    `SQLException` - - if a database-access error occurs.

### setAsciiStream

    public void setAsciiStream(int i,
                               InputStream inputStream,
                               int j)
                        throws SQLException

  When a very large ASCII value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.InputStream. JDBC will read the data from the stream as needed, until it reaches end-of-file.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Parameters:
    `i` - - the first parameter is 1, the second is 2, ...
    `inputStream` - - the java input stream which contains the ASCII parameter value
    `j` - - the number of bytes in the stream
  Throws:
    `SQLException` - - if a database-access error occurs.

### setBigDecimal

    public void setBigDecimal(int i,
                              BigDecimal bigDecimal)
                       throws SQLException

  Set a parameter to a java.lang.BigDecimal value.

  Parameters:
    `i` - - the first parameter is 1, the second is 2, ...
    `bigDecimal` - - the parameter value
  Throws:
    `SQLException` - - if a database-access error occurs.

### setBinaryStream

    public void setBinaryStream(int i,
                                InputStream inputStream,
                                int j)
                         throws SQLException

  When a very large binary value is input to a LONGVARBINARY parameter, it may be more practical to send it via a java.io.InputStream. JDBC will read the data from the stream as needed, until it reaches end-of-file.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Parameters:
    `i` - - the first parameter is 1, the second is 2, ...
    `inputStream` - - the java input stream which contains the binary parameter value
    `j` - - the number of bytes in the stream
  Throws:
    `SQLException` - - if a database-access error occurs.

### setBlob

    public void setBlob(int i,
                        Blob blob)
                 throws SQLException

  Set a BLOB parameter.

  Parameters:
    `i` - - the first parameter is 1, the second is 2, ...
    `blob` - - an object representing a BLOB
  Throws:
    `SQLException` - - if a database-access error occurs.

### setBoolean

    public void setBoolean(int i,
                           boolean flag)
                    throws SQLException

  Set a parameter to a Java boolean value.

  Parameters:
    `i` - - the first parameter is 1, the second is 2, ...
    `flag` - - the parameter value
  Throws:
    `SQLException` - - if a database-access error occurs.

### setByte

    public void setByte(int i,
                        byte b)
                 throws SQLException

  Set a parameter to a Java byte value.

  Parameters:
    `i` - - the first parameter is 1, the second is 2, ...
    `b` - - the parameter value
  Throws:
    `SQLException` - - if a database-access error occurs.

### setBytes

    public void setBytes(int i,
                         byte[] ab)
                  throws SQLException

  Set a parameter to a Java array of bytes.

  Parameters:
    `i` - - the first parameter is 1, the second is 2, ...
    `ab` - - the parameter value
  Throws:
    `SQLException` - - if a database-access error occurs.

### setCharacterStream

    public void setCharacterStream(int i,
                                   Reader reader,
                                   int j)
                            throws SQLException

  When a very large UNICODE value is input to a LONGVARCHAR parameter, it may be more practical to send it via a java.io.Reader. JDBC will read the data from the stream as needed, until it reaches end-of-file.

  Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

  Parameters:
    `i` - - the first parameter is 1, the second is 2, ...
    `reader` - - the java reader which contains the UNICODE data
    `j` - - the number of characters in the stream
  Throws:
    `SQLException` - - if a database-access error occurs.

### setClob

    public void setClob(int i,
                        Clob clob)
                 throws SQLException

  Set a CLOB parameter.

  Parameters:
    `i` - - the first parameter is 1, the second is 2, ...
    `clob` - - an object representing a CLOB
  Throws:
    `SQLException` - - if a database-access error occurs.

### setCommand

    public void setCommand(String string)
                    throws SQLException

  Set the rowset's command property. This property is optional. The command property may not be needed when a rowset is produced by a data source that doesn't support commands, such as a spreadsheet.

  Parameters:
    `string` - - a command string, may be null
  Throws:
    `SQLException` - - if a database-access error occurs.

### setConcurrency

    public void setConcurrency(int i)
                        throws SQLException

  Set the rowset concurrency.

  Parameters:
    `i` - - a value from ResultSet.CONCUR_XXX
  Throws:
    `SQLException` - - if a database-access error occurs.

### setDataSourceName

    public void setDataSourceName(String string)
                           throws SQLException

  Set the data source name.

  Parameters:
    `string` - - a data source name
  Throws:
    `SQLException` - - if a database-access error occurs.

### setDate

    public void setDate(int i,
                        Date date)
                 throws SQLException

  Set a parameter to a java.sql.Date value.

  Parameters:
    `i` - - the first parameter is 1, the second is 2, ...
    `date` - - the parameter value
  Throws:
    `SQLException` - - if a database-access error occurs.

### setDate

    public void setDate(int i,
                        Date date,
                        Calendar calendar)
                 throws SQLException

  Set a parameter to a java.sql.Date value. The driver converts this to a SQL DATE value when it sends it to the database.

  Parameters:
    `i` - - the first parameter is 1, the second is 2, ...
    `date` - - the parameter value
    `calendar` - - the calendar used
  Throws:
    `SQLException` - - if a database-access error occurs.

### setDouble

    public void setDouble(int i,
                          double d)
                   throws SQLException

  Set a parameter to a Java double value.

  Parameters:
    `i` - - the first parameter is 1, the second is 2, ...
    `d` - - the parameter value
  Throws:
    `SQLException` - - if a database-access error occurs.

### setEscapeProcessing

    public void setEscapeProcessing(boolean flag)
                             throws SQLException

  If escape scanning is on (the default), the driver will do escape substitution before sending the SQL to the database.

  Parameters:
    `flag` - - true to enable; false to disable
  Throws:
    `SQLException` - - if a database-access error occurs.

### setFloat

    public void setFloat(int i,
                         float f)
                  throws SQLException

  Set a parameter to a Java float value. The driver converts this to a SQL FLOAT value when it sends it to the database.

  Parameters:
    `i` - - the first parameter is 1, the second is 2, ...
    `f` - - the parameter value
  Throws:
    `SQLException` - - if a database-access error occurs.

### setInt

    public void setInt(int i,
                       int j)
                throws SQLException

  Set a parameter to a Java int value.

  Parameters:
    `i` - - the first parameter is 1, the second is 2, ...
    `j` - - the parameter value
  Throws:
    `SQLException` - - if a database-access error occurs.

### setLong

    public void setLong(int i,
                        long j)
                 throws SQLException

  Set a parameter to a Java long value.

  Parameters:
    `i` - - the first parameter is 1, the second is 2, ...
    `j` - - the parameter value
  Throws:
    `SQLException` - - if a database-access error occurs.

### setMaxFieldSize

    public void setMaxFieldSize(int i)
                         throws SQLException

  The maxFieldSize limit (in bytes) is set to limit the size of data that can be returned for any column value; it only applies to BINARY, VARBINARY, LONGVARBINARY, CHAR, VARCHAR, and LONGVARCHAR fields. If the limit is exceeded, the excess data is silently discarded. For maximum portability use values greater than 256.

  Parameters:
    `i` - - the new max column size limit; zero means unlimited
  Throws:
    `SQLException` - - if a database-access error occurs.

### setMaxRows

    public void setMaxRows(int i)
                    throws SQLException

  The maxRows limit is set to limit the number of rows that any RowSet can contain. If the limit is exceeded, the excess rows are silently dropped.

  Parameters:
    `i` - - the new max rows limit; zero means unlimited
  Throws:
    `SQLException` - - if a database-access error occurs.

### setNull

    public void setNull(int parameterIndex,
                        int sqlType)
                 throws SQLException

  Set a parameter to SQL NULL.

  Note: You must specify the parameter's SQL type.

  Parameters:
    `parameterIndex` - - the first parameter is 1, the second is 2, ...
    `sqlType` - - SQL type code defined by java.sql.Types
  Throws:
    `SQLException` - - if a database-access error occurs.

### setNull

    public void setNull(int paramIndex,
                        int sqlType,
                        String typeName)
                 throws SQLException

  JDBC 2.0 Set a parameter to SQL NULL. This version of setNull should be used for user-named types and REF type parameters. Examples of user-named types include: STRUCT, DISTINCT, JAVA_OBJECT, and named array types.

  Note: To be portable, applications must give the SQL type code and the fully qualified SQL type name when specifying a NULL user-named or REF parameter. In the case of a user-named type the name is the type name of the parameter itself. For a REF parameter the name is the type name of the referenced type. If a JDBC driver does not need the type code or type name information, it may ignore it. Although it is intended for user-named and Ref parameters, this method may be used to set a null parameter of any JDBC type. If the parameter does not have a user-named or REF type then the typeName is ignored.

  Parameters:
    `paramIndex` - - the first parameter is 1, the second is 2, ...
    `sqlType` - - a value from java.sql.Types
    `typeName` - - the fully qualified name of a SQL user-named type, ignored if the parameter is not a user-named type or REF
  Throws:
    `SQLException` - - if a database-access error occurs.

### setObject

    public void setObject(int parameterIndex,
                          Object object)
                   throws SQLException

  Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.

  The JDBC specification specifies a standard mapping from Java Object types to SQL types. The given argument java object will be converted to the corresponding SQL type before being sent to the database.

  Note that this method may be used to pass datatabase specific abstract data types, by using a Driver specific Java type. If the object is of a class implementing SQLData, the rowset should call its method writeSQL() to write it to the SQL data stream. else If the object is of a class implementing Ref, Blob, Clob, Struct, or Array then pass it to the database as a value of the corresponding SQL type. Raise an exception if there is an ambiguity, for example, if the object is of a class implementing more than one of those interfaces.

  Parameters:
    `parameterIndex` - - The first parameter is 1, the second is 2, ...
    `object` - - The object containing the input parameter value
  Throws:
    `SQLException` - - if a database-access error occurs.

### setObject

    public void setObject(int parameterIndex,
                          Object object,
                          int targetSqlType)
                   throws SQLException

  This method is like setObject above, but the scale used is the scale of the second parameter. Scalar values have a scale of zero. Literal values have the scale present in the literal. While it is supported, it is not recommended that this method not be called with floating point input values.

  Parameters:
    `parameterIndex` - - The first parameter is 1, the second is 2, ...
    `object` - - The object containing the input parameter value
    `targetSqlType` - - The SQL type (as defined in java.sql.Types) to be sent to the database. The scale argument may further qualify this type.
  Throws:
    `SQLException` - - if a database-access error occurs.

### setObject

    public void setObject(int parameterIndex,
                          Object object,
                          int j,
                          int scale)
                   throws SQLException

  Set the value of a parameter using an object; use the java.lang equivalent objects for integral values.

  The given Java object will be converted to the targetSqlType before being sent to the database. If the object is of a class implementing SQLData, the rowset should call its method writeSQL() to write it to the SQL data stream. else If the object is of a class implementing Ref, Blob, Clob, Struct, or Array then pass it to the database as a value of the corresponding SQL type.

  Note that this method may be used to pass datatabase- specific abstract data types.

  Parameters:
    `parameterIndex` - - The first parameter is 1, the second is 2, ...
    `object` - - The object containing the input parameter value
    `j` - - The SQL type (as defined in java.sql.Types) to be sent to the database. The scale argument may further qualify this type.
    `scale` - - For java.sql.Types.DECIMAL or java.sql.Types.NUMERIC types this is the number of digits after the decimal. For all other types this value will be ignored
  Throws:
    `SQLException` - - if a database-access error occurs.

### setPassword

    public void setPassword(String string)
                     throws SQLException

  Set the password.

  Parameters:
    `string` - - the password string
  Throws:
    `SQLException` - - if a database-access error occurs.

### setQueryTimeout

    public void setQueryTimeout(int seconds)
                         throws SQLException

  The queryTimeout limit is the number of seconds the driver will wait for a Statement to execute. If the limit is exceeded, a SQLException is thrown.

  Parameters:
    `seconds` - - the new query timeout limit in seconds; zero means unlimited
  Throws:
    `SQLException` - - if a database-access error occurs.

### setReadOnly

    public void setReadOnly(boolean flag)
                     throws SQLException

  Set the read-onlyness of the rowset

  Parameters:
    `flag` - - true if read-only, false otherwise
  Throws:
    `SQLException` - - if a database-access error occurs.

### setRef

    public void setRef(int i,
                       Ref ref)
                throws SQLException

  Set a REF(<structured-type>) parameter.

  Parameters:
    `i` - - the first parameter is 1, the second is 2, ...
    `ref` - - an object representing data of an SQL REF Type
  Throws:
    `SQLException` - - if a database-access error occurs.

### setShort

    public void setShort(int i,
                         short s)
                  throws SQLException

  Set a parameter to a Java short value.

  Parameters:
    `i` - - the first parameter is 1, the second is 2, ...
    `s` - - the parameter value
  Throws:
    `SQLException` - - if a database-access error occurs.

### setString

    public void setString(int parameterIndex,
                          String string)
                   throws SQLException

  Set a parameter to a Java String value.

  Parameters:
    `parameterIndex` - - the first parameter is 1, the second is 2, ...
    `string` - - the parameter value
  Throws:
    `SQLException` - - if a database-access error occurs.

### setTime

    public void setTime(int parameterIndex,
                        Time time)
                 throws SQLException

  Set a parameter to a java.sql.Time value.

  Parameters:
    `parameterIndex` - - the first parameter is 1, the second is 2, ...
    `time` - - the parameter value
  Throws:
    `SQLException` - - if a database-access error occurs.

### setTime

    public void setTime(int parameterIndex,
                        Time time,
                        Calendar calendar)
                 throws SQLException

  Set a parameter to a java.sql.Time value.

  Parameters:
    `parameterIndex` - - the first parameter is 1, the second is 2, ...
    `time` - - the parameter value
    `calendar` - - the calendar used
  Throws:
    `SQLException` - - if a database-access error occurs.

### setTimestamp

    public void setTimestamp(int parameterIndex,
                             Timestamp timestamp)
                      throws SQLException

  Set a parameter to a java.sql.Timestamp value.

  Parameters:
    `parameterIndex` - - the first parameter is 1, the second is 2, ...
    `timestamp` - - the parameter value
  Throws:
    `SQLException` - - if a database-access error occurs.

### setTimestamp

    public void setTimestamp(int parameterIndex,
                             Timestamp timestamp,
                             Calendar calendar)
                      throws SQLException

  Set a parameter to a java.sql.Timestamp value.

  Parameters:
    `parameterIndex` - - the first parameter is 1, the second is 2, ...
    `timestamp` - - the parameter value
    `calendar` - - the calendar used
  Throws:
    `SQLException` - - if a database-access error occurs.

### setTransactionIsolation

    public void setTransactionIsolation(int level)
                                 throws SQLException

  Set the transaction isolation.

  Parameters:
    `level` - - the transaction isolation level
  Throws:
    `SQLException` - - if a database-access error occurs.

### setType

    public void setType(int i)
                 throws SQLException

  Set the rowset type.

  Parameters:
    `i` - - a value from ResultSet.TYPE_XXX
  Throws:
    `SQLException` - - if a database-access error occurs.

### setTypeMap

    public void setTypeMap(Map map)
                    throws SQLException

  Install a type-map object as the default type-map for this rowset.

  Parameters:
    `map` - - a map object
  Throws:
    `SQLException` - - if a database-access error occurs.

### setUrl

    public void setUrl(String url)
                throws SQLException

  Set the url used to create a connection. Setting this property is optional. If a url is used, a JDBC driver that accepts the url must be loaded by the application before the rowset is used to connect to a database. The rowset will use the url internally to create a database connection when reading or writing data. Either a url or a data source name is used to create a connection, whichever was specified most recently.

  Parameters:
    `url` - - a string value, may be null
  Throws:
    `SQLException` - - if a database-access error occurs.

### setUsername

    public void setUsername(String name)
                     throws SQLException

  Set the user name.

  Parameters:
    `name` - - a user name
  Throws:
    `SQLException` - - if a database-access error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.